<template>
  <u-modal
    :title="title"
    :width="1200"
    :visible="visible"
    :maskClosable="false"
    contentFull
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel">
    <energy-rate-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"/>
  </u-modal>
</template>

<script>
  import EnergyRateForm from './EnergyRateForm'
  export default {
    name: 'EnergyRateModal',
    components: {
      EnergyRateForm
    },
    data() {
      return {
        title:'',
        visible: false,
        disableSubmit: false
      }
    },
    methods:{
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>

<style scoped>
</style>